﻿<#
.SYNOPSIS
An install script for installing Erlang silently on the machine via ChocolateyNuGet

.NOTES
Author: Onorio Catenacci - catenacci@ieee.org
Version: 20.3
#>

$package = 'erlang'
$version = '20.3'
$erl_version = '9.3'

$params = @{
  PackageName = $package
  FileType = 'exe'
  SilentArgs = '/S'
  Url = "https://www.erlang.org/download/otp_win32_$version.exe"
  CheckSum = '56ceda9e81d213d93402f0cdddc84cdc304e6dd263a6f479fa93e2f06fe0c454' 
  CheckSumType = 'sha256'
  Url64 = "https://www.erlang.org/download/otp_win64_$version.exe"
  CheckSum64 = 'bfab28501e4d518470fa43b0b7add509dd36de55aa94f50b945ede61c3495188'
  CheckSumType64 = 'sha256'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @params

$baseErlangPath = "$env:ProgramFiles/erl$erl_version/erts-$erl_version/bin"

Generate-BinFile "erl" -path "$baseErlangPath/erl.exe"
Generate-BinFile "werl" -path "$baseErlangPath/werl.exe"
Generate-BinFile "erlc" -path "$baseErlangPath/erlc.exe"
Generate-BinFile  "escript" -path "$baseErlangPath/escript.exe"
Generate-BinFile "dialyzer" -path "$baseErlangPath/dialyzer.exe"

